## golang-github-juju-clock 0.0~git20190205.9c5c971

=== Makefile ===
PROJECT := github.com/juju/clock

.PHONY: check-licence check-go check

check: check-licence check-go
	go test $(PROJECT)/...

check-licence:
	@(fgrep -rl "Licensed under the LGPLv3" --exclude *.s .;\
		fgrep -rl "MACHINE GENERATED BY THE COMMAND ABOVE; DO NOT EDIT" --exclude *.s .;\
		find . -name "*.go") | sed -e 's,\./,,' | sort | uniq -u | \
		xargs -I {} echo FAIL: licence missed: {}

check-go:
	$(eval GOFMT := $(strip $(shell gofmt -l .| sed -e "s/^/ /g")))
	@(if [ x$(GOFMT) != x"" ]; then \
		echo go fmt is sad: $(GOFMT); \
		exit 1; \
	fi )
	@(go tool vet -all -composites=false -copylocks=false .)

=== debian/changelog ===
golang-github-juju-clock (0.0~git20190205.9c5c971-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 11:18:20 +0100

golang-github-juju-clock (0.0~git20190205.9c5c971-1) unstable; urgency=medium

  * Reintroduce package to the archive (Closes: #998299)
  * New upstream snapshot
  * Add myself to uploaders, and remove Alexandre Viau
    - Thanks for your work Alexandre!
  * d/control:
    - Update Section to golang
    - Update Maintainer field to current team email address
    - Use debhelper-compat
    - Bump Standards-Version (no changes needed)
    - Add Rules-Requires-Root: no
    - Add Multi-Arch: foreign
  * d/copyright:
    - Update years
    - Remove unneeded Files-Excluded
  * Refresh d/rules
  * Update d/watch
  * Add d/upstream/metadata

 -- Mathias Gibbens <mathias@calenhad.com>  Sat, 20 Nov 2021 16:01:46 +0100

golang-github-juju-clock (0.0~git20180808.bab88fc-1) unstable; urgency=medium

  * Initial release (Closes: #907639)

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Aug 2018 10:27:43 -0400

=== debian/control ===
Source: golang-github-juju-clock
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <mathias@calenhad.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-juju-errors-dev,
               golang-github-juju-loggo-dev,
               golang-github-juju-testing-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-clock
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-clock.git
Homepage: https://github.com/juju/clock
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/juju/clock

Package: golang-github-juju-clock-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-juju-errors-dev,
         golang-github-juju-loggo-dev,
         golang-github-juju-testing-dev,
         golang-gopkg-check.v1-dev
Description: Clock definition and a testing clock (library)
 Package clock provides:
  * an interface definition for a fully defined clock
  * a wallClock implementation of that interface using the time package
  * a testing clock

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/juju/clock.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-juju-clock)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/juju/clock/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-clock 0.0~git20220203.d9deb86

=== debian/changelog ===
golang-github-juju-clock (0.0~git20220203.d9deb86-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * New upstream snapshot
  * Update years in d/copyright

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 06 May 2022 12:08:33 +0000

## golang-github-juju-clock 1.0.2

=== debian/changelog ===
golang-github-juju-clock (1.0.2-2) unstable; urgency=medium

  * Fix unaligned panics on 32 bit architectures

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 12 Aug 2022 21:44:00 +0000

golang-github-juju-clock (1.0.2-1) unstable; urgency=medium

  * New upstream release
    - Update d/watch to track releases
  * Update Standards-Version in d/control (no changes needed)

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 12 Aug 2022 11:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-juju-loggo-dev,
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-clock
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-clock.git
 Homepage: https://github.com/juju/clock

## golang-github-juju-clock 1.0.3

=== debian/changelog ===
golang-github-juju-clock (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update my email address
    - Update Standards-Version to 4.6.2 (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 18:19:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-juju-clock
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mathias Gibbens <mathias@calenhad.com>
+Uploaders: Mathias Gibbens <gibmat@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -11,7 +11,7 @@
                golang-github-juju-loggo-dev,
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-clock
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-clock.git
 Homepage: https://github.com/juju/clock

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/juju/clock/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-juju-clock 1.1.1

=== debian/changelog ===
golang-github-juju-clock (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Remove redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Sep 2025 14:27:19 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                golang-github-juju-loggo-dev,
                golang-github-juju-testing-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-juju-clock
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-juju-clock.git
 Homepage: https://github.com/juju/clock
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/juju/clock
 
 Package: golang-github-juju-clock-dev
